%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:           qhttpengine
Version:        0.1.0
Release:        1%{?dist}
Summary:        HTTP server for Qt applications

License:        MIT
URL:            https://github.com/nitroshare/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  doxygen

%description
Simple set of classes for developing HTTP server applications in Qt.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake%{?_isa}

%description devel
%{summary}.

%package doc
Summary:        API documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.


%prep
%autosetup
sed -i 's:doc/${PROJECT_NAME}:doc/%{name}:' CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DBUILD_DOC=ON -DBUILD_TESTS=ON ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
cp -ap examples %{buildroot}%{_pkgdocdir}

%check
pushd %{_target_platform}
ctest %{?_smp_mflags} -VV
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*/
%{_libdir}/cmake/*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%license LICENSE.txt
%{_pkgdocdir}/


%changelog
* Sun Jul 10 2016 Raphael Groner <projects.rg@smart.ms> - 0.1.0-1
- initial
